*   Application: MY_MENU Demo                                               
*   Description: Data driven pull down menu system                          
*     File Name: MY_MENU.PRG                                                
*        Author: Steven Gibb                                                
*  Date created: 09-15-93              Date updated: 09-15-93              
*  Time created: 11:44:43am            Time updated: 11:44:43am            
*     Make File: MY_MENU.RMK                                                
*     Exec File: MAIN.EXE              Docs By: Steven Gibb                 
*     Copyright: (c) 1993 by Steven Gibb                                    
* 



#include "set.ch"
#include "setcurs.ch"
#include "inkey.ch"
#include "my_menu.ch"

#define  TRUE               .T.
#define  FALSE              .F.


FUNCTION Main()
  LOCAL aMainMenu

  SETCOLOR([w/b])
  SET WRAP ON


  aMainMenu := InitMenu( "my_menu.men")


  // - all menu items are initialized to ON
  // - code below illustrates turning off menu items
  // - turning on is the same except the second parameter is ".t."
  // - from my_menu.ch -> #define  MENU_GRP_1    {40,41,42,43,45,52}

  SetItemStatus( MENU_GRP_1 , FALSE  )

  DISPBEGIN()
  BasicScreen()
  DISPEND()

  DisplayMenu(aMainMenu )

RETURN(NIL)



